import React from 'react'

export const IconMemo = (
  <svg id="icon_memo" width="32" height="32" viewBox="0 0 32 32">
    <rect width="32" height="32" fill="#ff963c" opacity="0"/>
    <g transform="translate(-443 -18)">
      <path d="M1824.04,985.124l-.992-.991a1.54,1.54,0,0,0-2.178,0l-.927.928,3.169,3.169.928-.927A1.542,1.542,0,0,0,1824.04,985.124Z" transform="translate(-1351.49 -956.458)" fill="#ff963c"/>
      <path d="M1812.462,993.44v3.169h3.169l7.828-7.828-3.169-3.169Z" transform="translate(-1352.702 -956.154)" fill="#ff963c"/>
      <rect width="8.952" height="1.492" transform="translate(452.347 27.934)" fill="#ff963c"/>
      <rect width="8.952" height="1.492" transform="translate(452.347 33.398)" fill="#ff963c"/>
      <rect width="5.47" height="1.492" transform="translate(452.366 38.863)" fill="#ff963c"/>
      <path d="M1819.911,1001.917a.413.413,0,0,1-.408.414h-16.811a.414.414,0,0,1-.408-.414v-21.2a.414.414,0,0,1,.408-.415H1819.5a.413.413,0,0,1,.408.415v5.987l1.958-1.987v-4a2.385,2.385,0,0,0-2.367-2.4h-16.811a2.386,2.386,0,0,0-2.367,2.4v21.2a2.385,2.385,0,0,0,2.367,2.4H1819.5c1.309,0,2.365-.225,2.367-1.552v-7.5l-1.958,1.987Z" transform="translate(-1354.325 -957.319)" fill="#ff963c"/>
    </g>
  </svg>
)

export const IconChallenge = (
  <svg id="icon_challenge" width="32" height="32" viewBox="0 0 32 32">
    <rect width="32" height="32" fill="#ff963c" opacity="0"/>
    <g transform="translate(4.5 1)">
      <path d="M1781.35,990.169l-.812.554a6.956,6.956,0,0,0,1.941,1.9l.538-.824A5.987,5.987,0,0,1,1781.35,990.169Z" transform="translate(-1774.598 -976.701)" fill="#ff963c"/>
      <path d="M1784.425,982.492a5.982,5.982,0,0,1,1.224-.127,5.921,5.921,0,0,1,1.093.1l.181-.966a6.93,6.93,0,0,0-2.7.028l-.019,0,.2.962Z" transform="translate(-1774.139 -977.777)" fill="#ff963c"/>
      <path d="M1782.924,983.227l-.556-.811a6.966,6.966,0,0,0-1.9,1.942l.824.538A5.975,5.975,0,0,1,1782.924,983.227Z" transform="translate(-1774.606 -977.76)" fill="#ff963c"/>
      <path d="M1780.49,987.487a5.971,5.971,0,0,1,.1-1.1l-.966-.181a6.869,6.869,0,0,0-.12,1.279,6.943,6.943,0,0,0,.148,1.425l0,.012.963-.2,0-.01A5.991,5.991,0,0,1,1780.49,987.487Z" transform="translate(-1774.716 -977.245)" fill="#ff963c"/>
      <path d="M1786.839,992.278a5.983,5.983,0,0,1-1.224.127,5.92,5.92,0,0,1-1.1-.1l-.182.966a6.957,6.957,0,0,0,1.286.12,7.029,7.029,0,0,0,1.424-.147h.006l-.2-.963Z" transform="translate(-1774.124 -976.387)" fill="#ff963c"/>
      <path d="M1791.366,986.1l0-.024-.963.2,0,.021a5.935,5.935,0,0,1,.022,2.333l.966.184a6.968,6.968,0,0,0-.026-2.718Z" transform="translate(-1773.305 -977.263)" fill="#ff963c"/>
      <path d="M1788.29,991.754l.554.812a6.967,6.967,0,0,0,1.9-1.94l-.823-.539A6,6,0,0,1,1788.29,991.754Z" transform="translate(-1773.617 -976.712)" fill="#ff963c"/>
      <path d="M1789.871,984.795l.811-.556a6.97,6.97,0,0,0-1.944-1.9l-.537.824A5.976,5.976,0,0,1,1789.871,984.795Z" transform="translate(-1773.629 -977.769)" fill="#ff963c"/>
      <path d="M1789.306,986.689l-2.331-.339-1.042-2.111-1.042,2.111-2.331.339,1.686,1.644-.4,2.321,2.084-1.1,2.084,1.1-.4-2.321Z" transform="translate(-1774.434 -977.549)" fill="#ff963c"/>
      <path d="M1796.669,988.892a10.8,10.8,0,0,0-2.961-7.477,10.084,10.084,0,0,0-3.518-2.392,9.729,9.729,0,0,0-7.3.012,10.083,10.083,0,0,0-3.49,2.38,10.917,10.917,0,0,0,0,14.951,9.8,9.8,0,0,0,14.3,0A10.8,10.8,0,0,0,1796.669,988.892Zm-10.112,8.6a8.025,8.025,0,0,1-5.821-2.52,8.886,8.886,0,0,1,0-12.17,8.171,8.171,0,0,1,3.539-2.187,7.984,7.984,0,0,1,2.282-.333,7.826,7.826,0,0,1,2.25.326,8.153,8.153,0,0,1,3.57,2.194,8.886,8.886,0,0,1,0,12.17A8.023,8.023,0,0,1,1786.557,997.5Z" transform="translate(-1775.056 -978.319)" fill="#ff963c"/>
      <path d="M1779.5,995.557c-.153-.124-.307-.246-.455-.378v0l-.012-.01-3.664,7.847-.1.281.139.22a.525.525,0,0,0,.444.244h.086l3.5-1.089,1.385,3.314a.532.532,0,0,0,.487.325.526.526,0,0,0,.477-.306l2.834-6.068.837-1.783h0l.006-.014A12.331,12.331,0,0,1,1779.5,995.557Z" transform="translate(-1775.265 -976.315)" fill="#ff963c"/>
      <path d="M1794.175,996.953l-.823-1.769,0,0-.006-.013a12.338,12.338,0,0,1-5.932,2.878c-.158.028-.314.06-.474.081v0l-.014,0,3.673,7.87a.524.524,0,0,0,.477.306.532.532,0,0,0,.487-.325l1.385-3.314,3.434,1.065.081.024h.072a.526.526,0,0,0,.444-.244l.144-.267Z" transform="translate(-1774.121 -976.315)" fill="#ff963c"/>
    </g>
  </svg>
)

export const IconInfo = (
  <svg id="icon_info" width="32" height="32" viewBox="0 0 32 32">
    <rect width="32" height="32" fill="#ff963c" opacity="0"/>
    <path d="M1774.539,1002.289h-12.428l-8,5.7v-5.7h-4.572v-22.3h25v22.3Zm-2.286-20.026h-20.428v17.754h4.572v3.55l4.98-3.55h10.877V982.263Zm-8.851,8.119v6.534h-2.63v-6.534Zm-1.315-1.96a1.634,1.634,0,1,0-1.644-1.633,1.639,1.639,0,0,0,1.644,1.633Z" transform="translate(-1746.039 -976.991)" fill="#ff963c" fillRule="evenodd"/>
  </svg>
)

export const IconMeal = (
  <svg width="53" height="45" viewBox="0 0 53 45">
    <g>
      <path d="M1665.777,952.738a2.8,2.8,0,0,0,3.957,3.956l8.7-8.7-3.957-3.957Z" transform="translate(-1656.753 -912.509)" fill="#fff"/>
      <path d="M1712.659,933.881l-7.85,7.877-1.311-1.316,7.589-8.14-.735-.738-8.167,7.56-1.313-1.316,7.624-8.105-.793-.8-8.142,7.585-1.313-1.318,7.849-7.877-.784-.788s-7.39,5.814-11.039,8.815a5.086,5.086,0,0,0-1.614,4.477c.246,2.232.516,3.1-.387,4l-7.656,7.68c-9.821-9.859-20.571-20.647-21.677-21.742a1.506,1.506,0,0,0-2.168-.058c-2.037,2.045,4.115,14.259,12.219,24.5,1.69-1.7,3.227-3.238,3.227-3.238l19.683,19.749a2.775,2.775,0,0,0,3.925,0h0a2.8,2.8,0,0,0,0-3.94c-2.083-2.09-6.352-6.377-11.272-11.318l7.648-7.675c.919-.921,1.767-.639,3.992-.378a5.082,5.082,0,0,0,4.551-1.62c2.967-3.706,8.633-11.162,8.633-11.162Z" transform="translate(-1660.378 -926.508)" fill="#fff"/>
    </g>
  </svg>
)

export const IconSnack = (
  <svg width="34" height="40" viewBox="0 0 34 40">
    <path d="M1817.692,930.555a4.055,4.055,0,0,1-4.1-4.046h-25.755a4.1,4.1,0,0,1-4.149,4.046v2.621h34Zm-32.3,5.953,5.206,30h20.294l5.1-30Zm26.586,3.327-1.134,6.674h-20.2l-1.134-6.674Zm-18.5,23.341-1.134-6.667h16.8l-1.132,6.667Z" transform="translate(-1783.692 -926.508)" fill="#fff"/>
  </svg>
)

export const IconMenu = (
  <svg width="32" height="32" viewBox="0 0 32 32">
    <rect width="32" height="32" fill="#ff963c" opacity="0"/>
    <line x2="26" transform="translate(3 8)" fill="none" stroke="#ff963c" strokeWidth="3"/>
    <line x2="26" transform="translate(3 16)" fill="none" stroke="#ff963c" strokeWidth="3"/>
    <line x2="26" transform="translate(3 24)" fill="none" stroke="#ff963c" strokeWidth="3"/>
  </svg>
)

export const IconClose = (
  <svg width="32" height="32" viewBox="0 0 32 32">
    <rect width="32" height="32" fill="#ff963c" opacity="0"/>
    <line x2="19" y2="19" transform="translate(7 7)" fill="none" stroke="#ff963c" strokeWidth="3"/>
    <line y1="19" x2="19" transform="translate(7 7)" fill="none" stroke="#ff963c" strokeWidth="3"/>
  </svg>
)

export const IconArrowUpCircle = (
  <svg width="48" height="48" viewBox="0 0 48 48">
    <g fill="rgba(255,255,255,0)">
      <path d="M 24 47.5 C 20.82729911804199 47.5 17.74976921081543 46.87873077392578 14.85289001464844 45.65346145629883 C 12.05459022521973 44.46987915039062 9.541350364685059 42.77537155151367 7.382989883422852 40.61700820922852 C 5.224629878997803 38.45864868164062 3.530119895935059 35.94541168212891 2.346539974212646 33.14710998535156 C 1.121269941329956 30.25023078918457 0.5 27.17270088195801 0.5 24 C 0.5 20.82729911804199 1.121269941329956 17.74976921081543 2.346539974212646 14.85289001464844 C 3.530119895935059 12.05459022521973 5.224629878997803 9.541350364685059 7.382989883422852 7.382989883422852 C 9.541350364685059 5.224629878997803 12.05459022521973 3.530119895935059 14.85289001464844 2.346539974212646 C 17.74976921081543 1.121269941329956 20.82729911804199 0.5 24 0.5 C 27.17270088195801 0.5 30.25023078918457 1.121269941329956 33.14710998535156 2.346539974212646 C 35.94541168212891 3.530119895935059 38.45864868164062 5.224629878997803 40.61700820922852 7.382989883422852 C 42.77537155151367 9.541350364685059 44.46987915039062 12.05459022521973 45.65346145629883 14.85289001464844 C 46.87873077392578 17.74976921081543 47.5 20.82729911804199 47.5 24 C 47.5 27.17270088195801 46.87873077392578 30.25023078918457 45.65346145629883 33.14710998535156 C 44.46987915039062 35.94541168212891 42.77537155151367 38.45864868164062 40.61700820922852 40.61700820922852 C 38.45864868164062 42.77537155151367 35.94541168212891 44.46987915039062 33.14710998535156 45.65346145629883 C 30.25023078918457 46.87873077392578 27.17270088195801 47.5 24 47.5 Z" stroke="none"/>
      <path d="M 24 1 C 20.89458084106445 1 17.8825798034668 1.607978820800781 15.04766845703125 2.807041168212891 C 12.3089714050293 3.965419769287109 9.849151611328125 5.623939514160156 7.736549377441406 7.736549377441406 C 5.623939514160156 9.849151611328125 3.965419769287109 12.3089714050293 2.807041168212891 15.04766845703125 C 1.607978820800781 17.8825798034668 1 20.89458084106445 1 24 C 1 27.10541915893555 1.607978820800781 30.1174201965332 2.807041168212891 32.95233154296875 C 3.965419769287109 35.6910285949707 5.623939514160156 38.15084838867188 7.736549377441406 40.26345062255859 C 9.849151611328125 42.37606048583984 12.3089714050293 44.03458023071289 15.04766845703125 45.19295883178711 C 17.8825798034668 46.39202117919922 20.89458084106445 47 24 47 C 27.10541915893555 47 30.1174201965332 46.39202117919922 32.95233154296875 45.19295883178711 C 35.6910285949707 44.03458023071289 38.15084838867188 42.37606048583984 40.26345062255859 40.26345062255859 C 42.37606048583984 38.15084838867188 44.03458023071289 35.6910285949707 45.19295883178711 32.95233154296875 C 46.39202117919922 30.1174201965332 47 27.10541915893555 47 24 C 47 20.89458084106445 46.39202117919922 17.8825798034668 45.19295883178711 15.04766845703125 C 44.03458023071289 12.3089714050293 42.37606048583984 9.849151611328125 40.26345062255859 7.736549377441406 C 38.15084838867188 5.623939514160156 35.6910285949707 3.965419769287109 32.95233154296875 2.807041168212891 C 30.1174201965332 1.607978820800781 27.10541915893555 1 24 1 M 24 0 C 37.25482940673828 0 48 10.74517059326172 48 24 C 48 37.25482940673828 37.25482940673828 48 24 48 C 10.74517059326172 48 0 37.25482940673828 0 24 C 0 10.74517059326172 10.74517059326172 0 24 0 Z" stroke="none" fill="#777"/>
    </g>
    <path d="M94-42,87.42-48.384,80.835-42l-.876-.849,7.461-7.234,7.461,7.234Z" transform="translate(-63.42 70.042)" fill="#777"/>
  </svg>
)
